Imagick::frameImage
Imagick::fxImage
La classe Imagick
PHP Manual

# Imagick::functionImage

(No version information available, might only be in SVN)

Imagick::functionImage — Applies a function on the image

### Description

public boolean Imagick::functionImage ( integer `$function` , array `$arguments` )

Applies an arithmetic, relational, or logical expression to an image. Use these operators to create lighter or darker versions of an image, to increase or decrease contrast in an image, or to negate the image colors. Cette méthode n'est disponible que si Imagick a été compilé avec ImageMagick version 6.4.9 ou supérieur.

### Liste de paramètres

`function`

  Refer to this list of function constants

`arguments`

  Array of arguments to pass to this function.

### Valeurs de retour

Returns `TRUE` on success.

### Erreurs / Exceptions

Lance une exception ImagickException si une erreur survient.

Imagick::frameImage
Imagick::fxImage
La classe Imagick
PHP Manual